/* You can add global styles to this file, and also import other style files */

body {
  margin: 0;
  font-family: Roboto, "Helvetica Neue", sans-serif;
  overflow: hidden;
  background-size: cover;
}

* {
  box-sizing: border-box;
}

::-webkit-scrollbar {
  width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
  background: var(--colors-second-background);
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: var(--colors-scroll);
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: var(--colors-scroll-hover);
}

.unselectable {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.selectable {
  -webkit-touch-callout: default;
  -webkit-user-select: text;
  -moz-user-select: text;
  -ms-user-select: text;
  user-select: text;
}

a {
  cursor: pointer;
}

a:not([href]):not([class]),
a:not([href]):not([class]):hover {
  color: #0d6efd;
}

#snackbar {
  visibility: hidden;
  width: 290px;
  margin-left: -145px;
  background-color: var(--colors-danger);
  color: var(--colors-first);
  text-align: center;
  border-radius: 2px;
  padding: 20px;
  left: 50%;
  position: fixed;
  z-index: 1;
  bottom: 30px;
}


#snackbar.show {
  visibility: visible;
  animation: fadein 0.5s, fadeout 0.5s 4.5s;
}

.visible {
  display: block;
}

.hidden {
  display: none;
}

.buttons {
  width: 100%;
  height: max-content;
  display: flex;
  justify-content: center;
  align-items: center;

  button {
    margin: 5px;
  }
}

.buttons-left {
  width: 100%;
  height: max-content;
  display: flex;
  justify-content: left;
  align-items: flex-start;

  button {
    margin: 5px;
  }
}

.buttons-right {
  width: 100%;
  height: max-content;
  display: flex;
  justify-content: right;
  align-items: flex-end;

  button {
    margin: 5px;
  }
}

.CodeMirror {
  height: 100%;
}

.dialog {
  display: none;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 40%;
  height: 40%;
  border-color: var(--colors-first-background);
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
  background-color: var(--colors-second-background);

  &.visible {
    display: block;
  }
}
